﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TheGameExtreme.model;
using TheGameExtreme.model.manager;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;
using TheGameExtreme.model.@event;
using TheGameExtreme.viewmodel;

namespace TheGameExtreme
{
    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    [DesignTimeVisible(false)]
    public partial class MainPage : ContentPage
    {

        private Main viewmodel = new Main();

        public MainPage()
        {
            InitializeComponent();

            pile0.SetBinding(Label.TextProperty, new Binding("Stack0", source: viewmodel));
            pile1.SetBinding(Label.TextProperty, new Binding("Stack1", source: viewmodel));
            pile2.SetBinding(Label.TextProperty, new Binding("Stack2", source: viewmodel));
            pile3.SetBinding(Label.TextProperty, new Binding("Stack3", source: viewmodel));
            card1.SetBinding(Button.TextProperty, new Binding("ValueCard1", source: viewmodel));
            card2.SetBinding(Button.TextProperty, new Binding("ValueCard2", source: viewmodel));
            card3.SetBinding(Button.TextProperty, new Binding("ValueCard3", source: viewmodel));
            card4.SetBinding(Button.TextProperty, new Binding("ValueCard4", source: viewmodel));
            card5.SetBinding(Button.TextProperty, new Binding("ValueCard5", source: viewmodel));
            card6.SetBinding(Button.TextProperty, new Binding("ValueCard6", source: viewmodel));
            card7.SetBinding(Button.TextProperty, new Binding("ValueCard7", source: viewmodel));
        }

        private void played(object sender, EventArgs args)
        {
            viewmodel.played((sender as Button).CommandParameter as string);
        }

        private void endTurn(object sender, EventArgs args)
        {
            viewmodel.endTurn();
        }
    }
}
